## kradio4 4.0.2

=== CMakeLists.txt ===
project(kradio4)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

FIND_PACKAGE(Subversion)

SET(KRADIO_VERSION "4.0.2")

IF(Subversion_FOUND)
    execute_process(COMMAND svn info ${CMAKE_CURRENT_SOURCE_DIR}
                    COMMAND grep "^Revision: "
                    COMMAND gawk "{print $2}"
                    RESULT_VARIABLE SVN_CHECK_RESULT
                    OUTPUT_VARIABLE SVN_CHECK_STDOUT
                    ERROR_VARIABLE  SVN_CHECK_STDERR
                    OUTPUT_STRIP_TRAILING_WHITESPACE
                   )

    IF( ${SVN_CHECK_RESULT} EQUAL 0  AND NOT  ${SVN_CHECK_STDOUT} EQUAL "" )
        MESSAGE(STATUS "Compiling KRadio4 from SVN revision ${SVN_CHECK_STDOUT}")
        SET(KRADIO_VERSION "svn-r${SVN_CHECK_STDOUT}")
    ENDIF( ${SVN_CHECK_RESULT} EQUAL 0  AND NOT  ${SVN_CHECK_STDOUT} EQUAL "" )
ENDIF(Subversion_FOUND)

MESSAGE(STATUS "Compiling KRadio4-${KRADIO_VERSION}")

ADD_DEFINITIONS (
    -DKRADIO_VERSION="\\"${KRADIO_VERSION}\\""
    ${KDE4_DEFINITIONS}
)

option(WITH_KRADIO_FIXMES "Enable FIXME warnings" OFF)
IF(WITH_KRADIO_FIXMES)
    ADD_DEFINITIONS( -DKRADIO_ENABLE_FIXMES )
ENDIF(WITH_KRADIO_FIXMES)

INCLUDE_DIRECTORIES(
    ${KDE4_INCLUDE_DIR}
    ${QT_INCLUDE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces
    ${CMAKE_CURRENT_SOURCE_DIR}/radiostations
)

SET(INSTALL_TARGETS_DEFAULT_ARGS RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
                                 LIBRARY DESTINATION "${LIB_INSTALL_DIR}/kradio4/plugins"
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )





ADD_SUBDIRECTORY(icons)
#ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(presets)
ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(convert-presets)

########################################################################
#     The lines below only affect the executable, no plugins!          #
########################################################################

ADD_DEFINITIONS(
    -DQT3_SUPPORT
    -DKDE3_SUPPORT
    -DQT3_SUPPORT_WARNINGS
)


file(GLOB kradio_radiostation_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/radiostations/*.cpp
)

file(GLOB kradio_interfaces_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/*_interfaces.cpp
)

file(GLOB kradio_main_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp
)


file(GLOB kradio4_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/src/*.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/radiostations/*.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/*.ui
)

kde4_add_ui_files(kradio_main_sources
    ${kradio4_UIs}
)

kde4_add_executable(kradio4
    ${kradio_interfaces_sources}
    ${kradio_radiostation_sources}
    ${kradio_main_sources}
)

SET_TARGET_PROPERTIES(kradio4
    PROPERTIES
    LINK_FLAGS    " -Wl,--export-dynamic "
)

TARGET_LINK_LIBRARIES(kradio4
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4 ${INSTALL_TARGETS_DEFAULT_ARGS})

SET(documentation_files
    README
    README.PVR
    README.your-help-is-wanted
    README.translations
    ChangeLog
    TODO
    AUTHORS
    COPYING
    FAQ
    INSTALL
    REQUIREMENTS
)

INSTALL(
	FILES       ${documentation_files}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/kradio4/
)

INSTALL(
    FILES       kradio4.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)


MACRO_DISPLAY_FEATURE_LOG()

=== plugins/alsa-sound/CMakeLists.txt ===
project(kradio4_plugin_alsa_sound)

add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)


ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)

LINK_DIRECTORIES(
    ${ALSA_LIBRARY_DIRS}
)

INCLUDE_DIRECTORIES(
    ${ALSA_INCLUDE_DIRS}
)



FILE(GLOB kradio_plugin_alsa_sound_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_alsa_sound_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_alsa_sound_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_alsa_sound_sources
    ${kradio_plugin_alsa_sound_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_alsa_sound
    ${kradio_plugin_alsa_sound_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_alsa_sound
    PROPERTIES
    VERSION       4.0.1
    SOVERSION     4
)

TARGET_LINK_LIBRARIES(kradio4_plugin_alsa_sound
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
  ${ALSA_LIBRARIES}
)

INSTALL(TARGETS kradio4_plugin_alsa_sound ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/dbus/CMakeLists.txt ===
project(kradio4_plugin_dbus)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)



ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_dbus_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_dbus_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_dbus_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_dbus_sources
    ${kradio_plugin_dbus_UIs}
)

QT4_ADD_DBUS_ADAPTOR(kradio_plugin_dbus_sources net.sourceforge.kradio.xml
                     dbussupport.h DBusSupport)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_dbus
    ${kradio_plugin_dbus_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_dbus
    PROPERTIES
    VERSION       4.0.1
    SOVERSION     4
)

TARGET_LINK_LIBRARIES(kradio4_plugin_dbus
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_dbus ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-docking-menu/CMakeLists.txt ===
project(kradio4_plugin_gui_docking_menu)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)


ADD_SUBDIRECTORY(po)


FILE(GLOB kradio_plugin_gui_docking_menu_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_docking_menu_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_gui_docking_menu_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_docking_menu_sources
    ${kradio_plugin_gui_docking_menu_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_docking_menu
    ${kradio_plugin_gui_docking_menu_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_gui_docking_menu
    PROPERTIES
    VERSION       4.0.1
    SOVERSION     4

)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_docking_menu
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_gui_docking_menu ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-error-log/CMakeLists.txt ===
project(kradio4_plugin_gui_error_log)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)


ADD_SUBDIRECTORY(po)


FILE(GLOB kradio_plugin_gui_error_log_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_error_log_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_gui_error_log_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_error_log_sources
    ${kradio_plugin_gui_error_log_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_error_log
    ${kradio_plugin_gui_error_log_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_gui_error_log
    PROPERTIES
    VERSION       4.0.1
    SOVERSION     4

)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_error_log
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_gui_error_log ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-quickbar/CMakeLists.txt ===
project(kradio4_plugin_gui_quickbar)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)



ADD_SUBDIRECTORY(po)



FILE(GLOB kradio_plugin_gui_quickbar_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_quickbar_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_gui_quickbar_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_quickbar_sources
    ${kradio_plugin_gui_quickbar_UIs}
)



string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_quickbar
    ${kradio_plugin_gui_quickbar_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_gui_quickbar
    PROPERTIES
    VERSION       4.0.1
    SOVERSION     4

)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_quickbar
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_gui_quickbar ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/gui-standard-display/CMakeLists.txt ===
project(kradio4_plugin_gui_standard_display)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)


ADD_SUBDIRECTORY(po)



FILE(GLOB kradio_plugin_gui_standard_display_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_gui_standard_display_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_gui_standard_display_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_gui_standard_display_sources
    ${kradio_plugin_gui_standard_display_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_gui_standard_display
    ${kradio_plugin_gui_standard_display_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_gui_standard_display
    PROPERTIES
    VERSION       4.0.1
    SOVERSION     4
)

TARGET_LINK_LIBRARIES(kradio4_plugin_gui_standard_display
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_gui_standard_display ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/internetradio/CMakeLists.txt ===
project(kradio4_plugin_internetradio)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)



add_definitions( -DINET_RADIO_STREAM_HANDLING_BY_DECODER_THREAD )


#ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)

LINK_DIRECTORIES(
    ${FFMPEG_LIBRARY_DIRS}
)

INCLUDE_DIRECTORIES(
    ${FFMPEG_INCLUDE_DIRS}
)

FILE(GLOB kradio_plugin_internetradio_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_internetradio_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_internetradio_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_internetradio_sources
    ${kradio_plugin_internetradio_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_internetradio
    ${kradio_plugin_internetradio_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_internetradio
    PROPERTIES
    VERSION       4.0.1
    SOVERSION     4
)

TARGET_LINK_LIBRARIES(kradio4_plugin_internetradio
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
  ${FFMPEG_LIBRARIES}
)

INSTALL(TARGETS kradio4_plugin_internetradio ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/lirc/CMakeLists.txt ===
project(kradio4_plugin_lirc)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)



ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_lirc_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_lirc_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_lirc_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_lirc_sources
    ${kradio_plugin_lirc_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_lirc
    ${kradio_plugin_lirc_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_lirc
    PROPERTIES
    VERSION       4.0.1
    SOVERSION     4
)

TARGET_LINK_LIBRARIES(kradio4_plugin_lirc
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
  "-llirc_client"
)

INSTALL(TARGETS kradio4_plugin_lirc ${INSTALL_TARGETS_DEFAULT_ARGS})

INSTALL(FILES default-dot-lircrc DESTINATION ${DATA_INSTALL_DIR}/kradio4 )

=== plugins/radio/CMakeLists.txt ===
project(kradio4_plugin_radio)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)


ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_radio_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_radio_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_radio_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)


KDE4_ADD_UI_FILES(kradio_plugin_radio_sources
    ${kradio_plugin_radio_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )



KDE4_ADD_PLUGIN(kradio4_plugin_radio
    ${kradio_plugin_radio_sources}
)




string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})

SET_TARGET_PROPERTIES(kradio4_plugin_radio
    PROPERTIES
    VERSION    4.0.1
    SOVERSION  4

)

TARGET_LINK_LIBRARIES(kradio4_plugin_radio 
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_radio ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/recording/CMakeLists.txt ===
project(kradio4_plugin_recording)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

include(CheckIncludeFile)

ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(po)

option(WITH_OGG_VORBIS "Compile with ogg/vorbis support" ON)
option(WITH_LAME       "Compile with mp3/lame   support" ON)

###############################################################################

IF(WITH_OGG_VORBIS)
    CHECK_INCLUDE_FILE(vorbis/vorbisenc.h HAVE_VORBIS_INC)
    CHECK_INCLUDE_FILE(ogg/ogg.h          HAVE_OGG_INC)
    CHECK_LIBRARY_EXISTS(vorbisenc vorbis_encode_init  "" HAVE_VORBIS_LIB)
    CHECK_LIBRARY_EXISTS(ogg       ogg_stream_packetin "" HAVE_OGG_LIB)
    IF(NOT HAVE_VORBIS_INC OR NOT HAVE_OGG_INC OR NOT HAVE_VORBIS_LIB OR NOT HAVE_OGG_LIB)

        SET(WITH_OGG_VORBIS OFF
            CACHE BOOL "ogg/vorbis files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: ogg/vorbis files could not be found on this system. Compiling without ogg/vorbis support")

    ENDIF(NOT HAVE_VORBIS_INC OR NOT HAVE_OGG_INC OR NOT HAVE_VORBIS_LIB OR NOT HAVE_OGG_LIB)
ENDIF(WITH_OGG_VORBIS)


IF (WITH_OGG_VORBIS)
    message(STATUS "   Compiling with ogg/vorbis support")
    add_definitions( -DHAVE_OGG )
    set(LIB_OGG "-logg -lvorbisenc")
ELSE(WITH_OGG_VORBIS)
    message(STATUS "   Compiling without ogg/vorbis support")
    set(LIB_OGG "")
ENDIF(WITH_OGG_VORBIS)

MACRO_LOG_FEATURE(WITH_OGG_VORBIS "ogg/vorbis support"  "Support for audio compression format ogg/vorbis" "http://www.vorbis.com") 

###############################################################################


IF(WITH_LAME)
    CHECK_INCLUDE_FILE(lame/lame.h HAVE_LAME_INC)
    CHECK_LIBRARY_EXISTS(mp3lame lame_init "" HAVE_LAME_LIB)
    IF(NOT HAVE_LAME_INC OR NOT HAVE_LAME_LIB)

        SET(WITH_LAME OFF
            CACHE BOOL "mp3/lame files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: mp3/lame files could not be found on this system. Compiling without mp3/lame support")

    ENDIF(NOT HAVE_LAME_INC OR NOT HAVE_LAME_LIB)
ENDIF(WITH_LAME)


IF (WITH_LAME)
    message(STATUS "   Compiling with mp3/lame support")
    add_definitions( -DHAVE_LAME )
    set(LIB_LAME "-lmp3lame")
ELSE(WITH_LAME)
    message(STATUS "   Compiling without mp3/lame support")
    set(LIB_LAME "")
ENDIF(WITH_LAME)

MACRO_LOG_FEATURE(WITH_LAME "mp3/lame support"  "Support for audio compression format .mp3 via lame" "http://lame.sourceforge.net") 

###############################################################################

SET(WITH_LIBSNDFILE ON)

CHECK_INCLUDE_FILE(sndfile.h HAVE_SNDFILE_INC)
CHECK_LIBRARY_EXISTS(sndfile sf_open "" HAVE_SNDFILE_LIB)
IF(NOT HAVE_SNDFILE_INC OR NOT HAVE_SNDFILE_LIB)

    SET(WITH_LIBSNDFILE OFF)
    MESSAGE(SEND_ERROR "libsndfile files could not be found on this system.")

ENDIF(NOT HAVE_SNDFILE_INC OR NOT HAVE_SNDFILE_LIB)

MACRO_LOG_FEATURE(WITH_LIBSNDFILE "libsndfile generic sound file support"  "Support for some standard audio formats (e.g. .wav)" "http://www.mega-nerd.com/libsndfile" TRUE)

###############################################################################


FILE(GLOB kradio_plugin_recording_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_recording_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_recording_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_recording_sources
    ${kradio_plugin_recording_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_recording
    ${kradio_plugin_recording_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_recording
    PROPERTIES
    VERSION       4.0.1
    SOVERSION     4

)

TARGET_LINK_LIBRARIES(kradio4_plugin_recording
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
  ${LIB_OGG}
  ${LIB_LAME}
  -lsndfile
)

INSTALL(TARGETS kradio4_plugin_recording ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/shortcuts/CMakeLists.txt ===
project(kradio4_plugin_shortcuts)
add_definitions( -DPROJECT_NAME="\\"${PROJECT_NAME}\\"" )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)



ADD_SUBDIRECTORY(po)

FILE(GLOB kradio_plugin_shortcuts_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)

FILE(GLOB kradio_plugin_shortcuts_include
    ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

FILE(GLOB kradio_plugin_shortcuts_UIs
    ${CMAKE_CURRENT_SOURCE_DIR}/*.ui
)

kde4_add_ui_files(kradio_plugin_shortcuts_sources
    ${kradio_plugin_shortcuts_UIs}
)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )


string(REGEX REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})


kde4_add_plugin(kradio4_plugin_shortcuts
    ${kradio_plugin_shortcuts_sources}
)

SET_TARGET_PROPERTIES(kradio4_plugin_shortcuts
    PROPERTIES
    VERSION       4.0.1
    SOVERSION     4
)

TARGET_LINK_LIBRARIES(kradio4_plugin_shortcuts
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4_plugin_shortcuts ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kradio4 (4.0.2-6) unstable; urgency=low

  * QA upload.
  * Replace patch kradio-fix-liva07-compat.patch with the backport of an
    upstream commit, which should fix a crash with libav 0.7.
    (Closes: #641809)

 -- Pino Toscano <pino@debian.org>  Sat, 01 Oct 2011 14:44:21 +0200

kradio4 (4.0.2-5) unstable; urgency=low

  * QA upload.
  * Add patch kradio-fix-liva07-compat.patch to remove the usage of
    deprecated ffmpeg/libav API. This prevents a FTFBS when
    Debian switches to libav 0.7.1, which finally removes these
    API elements (Closes: #638563)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 21 Aug 2011 14:50:28 +0200

kradio4 (4.0.2-4) unstable; urgency=low

  [ Pino Toscano ]
  * QA upload.
  * Build-depend on libmp3lame-dev to get MP3 recording support, and
    update the description accordingly.

 -- Pino Toscano <pino@debian.org>  Sun, 14 Aug 2011 11:06:40 +0200

kradio4 (4.0.2-3) unstable; urgency=low

  [ Pino Toscano ]
  * QA upload.
  * Use wildcard architectures:
    - !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any
  * Bump Standards-Version to 3.9.2, no changes required.
  * Remove changelog installed by upstream, dh_installchangelogs will do it.
  * Switch to my @debian.org address, I'm a DD now.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jul 2011 13:30:42 +0200

kradio4 (4.0.2-2) unstable; urgency=low

  [ Pino Toscano ]
  * QA upload.
  * Upload to unstable. (Closes: #604331)

 -- Pino Toscano <pino@kde.org>  Sun, 06 Feb 2011 22:24:09 +0100

kradio4 (4.0.2-1) experimental; urgency=low

  [ Pino Toscano ]
  * QA upload.
  * New upstream release. (Closes: #609258)
  * Bring back and update the kradio4-convert-presents.1 man page.
  * Update copyright.
  * debian/rules: pass first the sequence to `dh', then the arguments.

 -- Pino Toscano <pino@kde.org>  Sun, 16 Jan 2011 10:37:20 +0100

kradio4 (4.0.1-1) experimental; urgency=low

  [ Pino Toscano ]
  * QA upload.
  * New upstream release:
    - Fixes build on armel and with newer avutils. (Closes: #597700)
  * Add libglib2.0-dev to the build-dependencies, otherwise querying libmms
    via pkg-config cannot be done.
  * Update copyright.
  * Small touches to the descriptions.
  * Small touches to the menu file.
  * Update a bit the man page.
  * Bump Standards-Version to 3.9.1, no changes required.

 -- Pino Toscano <pino@kde.org>  Sat, 16 Oct 2010 15:08:56 +0200

kradio4 (4.0.0-1) experimental; urgency=low

  [ Pino Toscano ]
  * QA upload.
  * New upstream release, for KDE 4:
    - Should fix crash on startup with ALSA disabled and OSS used instead.
      (Closes: #461313)
  * Rename source and main binary package to kradio4, following upstream
    renaming:
    - Add dummy transitional package kradio.
    - Follow renaming in man pages, menu file.
  * Update build-dependencies:
    - Add pkg-kde-tools >= 0.5, cmake, kdelibs5-dev >= 4.2.0, gettext,
      libasound2-dev, libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev.
    - Remove imagemagick, automake, libtool, autotools-dev.
  * Convert to dh7 + kde addon:
    - Bump debhelper build-dependency to 7.3.16.
    - Bump compat to 7.
    - Simplify rules a bit.
  * Switch to the "3.0 (quilt)" format, so we can avoid the debian directory
    in the upstream tarball.
  * Update watch file. (Closes: #449777)
  * Bump Standards-Version to 3.8.4, no changes required.
  * Update description.
  * Add ${misc:Depends}.
  * Remove the man page convert-presets.1, no more used.
  * Minor update of the man page kradio4.1.
  * Disable the ALSA stuff on non-Linux architectures.
  * Make sure to not ship the COPYING and INSTALL files that are installed
    upstream.
  * Include a converted version of the kradio4 icon to XPM, so there is no need
    to build-depend on imagemagick and generate it at build time.
  * Update copyright a bit.

 -- Pino Toscano <pino@kde.org>  Thu, 03 Jun 2010 16:41:22 +0200

kradio (0.1.1.1~20061112-4) unstable; urgency=low

  * QA upload ; orphaning after discussion with maintainer
  * fix up autoconf things (Closes: 543013)
  * Relibtoolize while we are at it.
  * Switch to unversioned autotools.
  * Clean up rules file.
  * Move homepage from description to dedicated field
  * Bump S-V
  * Update menu file

 -- Sune Vuorela <debian@pusling.com>  Tue, 01 Jun 2010 13:20:29 +0200

kradio (0.1.1.1~20061112-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by Kibi (Closes: #455390)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 19:00:02 +0100

kradio (0.1.1.1~20061112-3) unstable; urgency=low

  * Modify build-system to use automake
   - Remove build-depends against unsermake as it shall be removed from
     debian soon
   - Add build-depends against automake1.9
   - Recreate the autofoo files
   - Add build-depends against chrpath and use it to remove some rpaths
  * Make sure that all the .gmo generated files are deleted to avoid
    the FTBFS during a second build (Closes: #424463)
  * Dependencies are accurate for the new libflac libraries
    (Closes: #426649)

 -- Steffen Joeris <white@debian.org>  Wed, 20 Jun 2007 22:14:59 +0200

kradio (0.1.1.1~20061112-2) unstable; urgency=low

  * Upload to unstable

 -- Steffen Joeris <white@debian.org>  Mon, 23 Apr 2007 05:59:03 +1000

kradio (0.1.1.1~20061112-1) experimental; urgency=low

  * New upstream release
  * Fix small typo in debian/copyright
  * Bump debhelper level to 5
  * Change my maintainer address

 -- Steffen Joeris <white@debian.org>  Sun,  7 Jan 2007 18:42:05 +0100

kradio (0.1.1.1~20060920-1) unstable; urgency=low

  * New upstream version
  * Drop 10-configure.dpatch
  * Drop dpatch from debian/rules and debian/control
  * Add build-depends against unsermake
  * Adjust debian/rules for cleaning up properly
  * Add temporary dependency, because unsermake is broken

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Tue,  3 Oct 2006 15:01:07 +1000

kradio (0.1beta1.0snapshot20051127-2) unstable; urgency=low



=== debian/control ===
Source: kradio4
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake,
 kdelibs5-dev (>= 4:4.2.0), gettext, libsndfile1-dev, liblircclient-dev,
 libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libglib2.0-dev,
 libmp3lame-dev, libasound2-dev [linux-any]
Standards-Version: 3.9.2
Homepage: http://kradio.sourceforge.net/

Package: kradio4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: comfortable radio application for KDE
 KRadio is a comfortable radio application for KDE 4.x with support for
 V4L and V4L2 radio cards drivers.
 .
 KRadio currently provides:
 .
   * V4L/V4L2 radio support
   * Remote control support (LIRC)
   * Alarms, sleep Countdown
   * Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
   * Recording capabilities, including MP3, Ogg/Vorbis, and WAV encoding
   * Timeshifter functionality
   * Extendable plugin architecture
 .
 This package also includes a growing collection of station preset
 files for many cities around the world contributed by KRadio users.
 .
 As KRadio is based on an extendable plugin architecture, contributions
 of new plugins (e.g. Internet Radio Streams, new cool GUIs) are welcome.

Package: kradio
Architecture: all
Depends: ${misc:Depends}, kradio4
Description: dummy transition package for Wheezy
 This is a dummy transition package and can be safely removed.
 .
 It can also be removed from the Debian package once Wheezy is released.

=== debian/watch ===
version=3

http://sf.net/kradio/kradio4-([0-9\.]*)\.tar\.bz2

## kradio4 4.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 FIND_PACKAGE(Subversion)
 
-SET(KRADIO_VERSION "4.0.2")
+SET(KRADIO_VERSION "4.0.4")
 
 IF(Subversion_FOUND)
     execute_process(COMMAND svn info ${CMAKE_CURRENT_SOURCE_DIR}

=== icons/CMakeLists.txt ===
KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )

install (FILES kradio4.png
         DESTINATION share/pixmaps)

=== plugins/radio/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_radio
     PROPERTIES
-    VERSION    4.0.1
+    VERSION    ${KRADIO_VERSION}
     SOVERSION  4
 
 )

=== presets/luxembourg/CMakeLists.txt ===

file(GLOB presets  ${CMAKE_CURRENT_SOURCE_DIR}/*.krp)
install(FILES ${presets} DESTINATION ${DATA_INSTALL_DIR}/kradio4/presets/luxembourg )

=== debian/changelog ===
kradio4 (4.0.4-1) unstable; urgency=low

  * New upstream release
  * New maintainer KDE Extras Team (Closes: #655255)
  * Add Vcs fields
  * Drop obsolete upstream_fixed-segfault-with-recent-libav-libffmpeg.patch

 -- Mark Purcell <msp@debian.org>  Sun, 19 Feb 2012 14:26:32 +1100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: kradio4
 Section: sound
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake,
  kdelibs5-dev (>= 4:4.2.0), gettext, libsndfile1-dev, liblircclient-dev,
  libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libglib2.0-dev,
  libmp3lame-dev, libasound2-dev [linux-any]
 Standards-Version: 3.9.2
 Homepage: http://kradio.sourceforge.net/
+Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kradio4/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kradio4/trunk/
+
 
 Package: kradio4
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_ARGS += -DWITH_ALSA=OFF
endif

%:
	dh $@ --with kde

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- $(CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install --buildsystem=kde --destdir=debian/kradio4
	install -D -p -m0644 debian/kradio4.xpm \
	    debian/kradio4/usr/share/pixmaps/kradio4.xpm
	# remove useless documentation shipped upstream
	rm -f \
	    $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/COPYING \
	    $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/INSTALL
	# remove changelog installed by upstream, dh_installchangelogs will do it
	rm -f $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/ChangeLog

.PHONY: override_dh_auto_test

debian/kradio4.xpm: icons/hi32-app-kradio4.png
	convert $< $@

## kradio4 4.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 FIND_PACKAGE(Subversion)
 
-SET(KRADIO_VERSION "4.0.4")
+SET(KRADIO_VERSION "4.0.7")
 
 IF(Subversion_FOUND)
     execute_process(COMMAND svn info ${CMAKE_CURRENT_SOURCE_DIR}
@@ -26,6 +26,20 @@
 
 MESSAGE(STATUS "Compiling KRadio4-${KRADIO_VERSION}")
 
+
+
+########################################################################
+#       Check if libboost is available                                 #
+########################################################################
+
+
+find_package( Boost 1.20 REQUIRED)
+# find_package( Boost 1.xx COMPONENTS regex REQUIRED)
+
+
+
+########################################################################
+
 ADD_DEFINITIONS (
     -DKRADIO_VERSION="\\"${KRADIO_VERSION}\\""
     ${KDE4_DEFINITIONS}
@@ -36,9 +50,14 @@
     ADD_DEFINITIONS( -DKRADIO_ENABLE_FIXMES )
 ENDIF(WITH_KRADIO_FIXMES)
 
+LINK_DIRECTORIES(
+    ${Boost_LIBRARY_DIRS}
+)
+
 INCLUDE_DIRECTORIES(
     ${KDE4_INCLUDE_DIR}
     ${QT_INCLUDE_DIR}
+    ${Boost_INCLUDE_DIRS}
     ${CMAKE_CURRENT_BINARY_DIR}/src
     ${CMAKE_CURRENT_SOURCE_DIR}/src
     ${CMAKE_CURRENT_SOURCE_DIR}/interfaces
@@ -112,6 +131,7 @@
   ${KDE4_KPARTS_LIBS}
   ${QT_QT3SUPPORT_LIBRARY}
   ${KDE4_KDE3SUPPORT_LIBRARY}
+  ${Boost_LIBRARIES}
 )
 
 INSTALL(TARGETS kradio4 ${INSTALL_TARGETS_DEFAULT_ARGS})

=== convert-presets/CMakeLists.txt ===

ADD_DEFINITIONS(
    -DQT3_SUPPORT
    -DKDE3_SUPPORT
    -DQT3_SUPPORT_WARNINGS
)


kde4_add_executable(kradio4-convert-presets
    convert-presets.cpp
)

TARGET_LINK_LIBRARIES(kradio4-convert-presets
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${QT_QT3SUPPORT_LIBRARY}
  ${KDE4_KDE3SUPPORT_LIBRARY}
)

INSTALL(TARGETS kradio4-convert-presets ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/CMakeLists.txt ===
project(kradio4plugins)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (FindPkgConfig)
include (MacroLibrary)

include(CheckIncludeFile)
include(CheckIncludeFileCXX)

###############################################################################

option(WITH_ALSA "Compile with alsa support" ON)

IF(WITH_ALSA)
    SET (ALSA_LIBRARY_DIRS  "")
    SET (ALSA_INCLUDE_DIRS  "")
    SET (ALSA_LIBRARIES     "")

    pkg_check_modules(LIBASOUND alsa)
    IF(LIBASOUND_FOUND)
        SET(HAVE_AVFORMAT_INC ON)
        SET(HAVE_AVFORMAT_LIB ON)

        SET(ALSA_LIBRARY_DIRS ${ALSA_LIBRARY_DIRS} ${LIBASOUND_LIBRARY_DIRS})
        SET(ALSA_LIBRARIES    ${ALSA_LIBRARIES}    ${LIBASOUND_LIBRARIES}   )
        SET(ALSA_INCLUDE_DIRS ${ALSA_INCLUDE_DIRS} ${LIBASOUND_INCLUDE_DIRS})

    ELSE(LIBASOUND_FOUND)
        CHECK_INCLUDE_FILE_CXX(alsa/asoundlib.h      HAVE_ALSA_INC)
        CHECK_LIBRARY_EXISTS(asound snd_card_next "" HAVE_ALSA_LIB)
        IF (HAVE_ALSA_INC AND HAVE_ALSA_LIB)
            SET(LIBASOUND_FOUND ON)
            SET(ALSA_LIBRARIES    "asound" ${ALSA_LIBRARIES})
        ENDIF(HAVE_ALSA_INC AND HAVE_ALSA_LIB)
    ENDIF(LIBASOUND_FOUND)

    IF(NOT LIBASOUND_FOUND)

        SET(WITH_ALSA OFF
            CACHE BOOL "alsa files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: alsa files could not be found on this system. Compiling without alsa support")

    ENDIF(NOT LIBASOUND_FOUND)
ENDIF(WITH_ALSA)


IF (WITH_ALSA)
    message(STATUS "   Compiling with ALSA support")
    message(STATUS "       ALSA_INCLUDE_DIRS = ${ALSA_INCLUDE_DIRS}")
    message(STATUS "       ALSA_LIBRARY_DIRS = ${ALSA_LIBRARY_DIRS}")
    message(STATUS "       ALSA_LIBRARIES    = ${ALSA_LIBRARIES}")
    message(STATUS "   Compiling with alsa support")
    add_definitions( -DHAVE_ALSA )
ELSE(WITH_ALSA)
    message(STATUS "   Compiling without ALSA support")
ENDIF(WITH_ALSA)


MACRO_LOG_FEATURE(WITH_ALSA "ALSA support" "Support for ALSA Sound Devices" "http://www.alsa-project.org")

###############################################################################


option(WITH_LIRC "Compile with LIRC support" ON)

IF(WITH_LIRC)
    CHECK_INCLUDE_FILE_CXX(lirc/lirc_client.h HAVE_LIRC_INC)
    CHECK_LIBRARY_EXISTS(lirc_client lirc_init "" HAVE_LIRC_LIB)
    IF(NOT HAVE_LIRC_INC OR NOT HAVE_LIRC_LIB)

        SET(WITH_LIRC OFF
            CACHE BOOL "LIRC files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: LIRC files could not be found on this system. Compiling without LIRC support")

    ENDIF(NOT HAVE_LIRC_INC OR NOT HAVE_LIRC_LIB)
ENDIF(WITH_LIRC)


IF (WITH_LIRC)
    message(STATUS "   Compiling with LIRC support")
    add_definitions( -DHAVE_LIRC )
ELSE(WITH_LIRC)
    message(STATUS "   Compiling without LIRC support")
ENDIF(WITH_LIRC)

MACRO_LOG_FEATURE(WITH_LIRC "LIRC support" "Support for remote controls via LIRC interfaces" "http://www.lirc.org")

###############################################################################




option(WITH_FFMPEG "Compile with Internet Radio Stations support (libavformat/libffmpeg, libmms)" ON)

IF(WITH_FFMPEG)
    SET (FFMPEG_LIBRARY_DIRS  "")
    SET (FFMPEG_INCLUDE_DIRS  "")
    SET (FFMPEG_LIBRARIES     "")

    pkg_check_modules(LIBAVFORMAT libavformat)
    IF(LIBAVFORMAT_FOUND)
        SET(HAVE_AVFORMAT_INC ON)
        SET(HAVE_AVFORMAT_LIB ON)

        SET(FFMPEG_LIBRARY_DIRS ${FFMPEG_LIBRARY_DIRS} ${LIBAVFORMAT_LIBRARY_DIRS})
        SET(FFMPEG_LIBRARIES    ${FFMPEG_LIBRARIES}    ${LIBAVFORMAT_LIBRARIES}   )
        SET(FFMPEG_INCLUDE_DIRS ${FFMPEG_INCLUDE_DIRS} ${LIBAVFORMAT_INCLUDE_DIRS})

    ELSE(LIBAVFORMAT_FOUND)
        CHECK_INCLUDE_FILE_CXX(ffmpeg/avformat.h            HAVE_AVFORMAT_OLD_INC)
        CHECK_INCLUDE_FILE_CXX(libavformat/avformat.h       HAVE_AVFORMAT_INC)
        CHECK_LIBRARY_EXISTS(avformat av_open_input_file "" HAVE_AVFORMAT_LIB)
        IF (HAVE_AVFORMAT_OLD_INC OR HAVE_AVFORMAT_INC)
            IF (HAVE_AVFORMAT_LIB)
                SET(LIBAVFORMAT_FOUND ON)
                SET(FFMPEG_LIBRARIES    "avutil" "avformat" ${FFMPEG_LIBRARIES})
            ENDIF(HAVE_AVFORMAT_LIB)
        ENDIF(HAVE_AVFORMAT_OLD_INC OR HAVE_AVFORMAT_INC)
    ENDIF(LIBAVFORMAT_FOUND)

    pkg_check_modules(LIBMMS libmms)
    IF(LIBMMS_FOUND)
        SET(LIBMMS_MIN_VERSION 0.5)
        IF(NOT LIBMMS_VERSION LESS LIBMMS_MIN_VERSION)
            SET(HAVE_MMSX_INC ON)
            SET(HAVE_MMSX_LIB ON)

            SET(FFMPEG_LIBRARY_DIRS ${FFMPEG_LIBRARY_DIRS} ${LIBMMS_LIBRARY_DIRS})
            SET(FFMPEG_LIBRARIES    ${FFMPEG_LIBRARIES}    ${LIBMMS_LIBRARIES}   )
            SET(FFMPEG_INCLUDE_DIRS ${FFMPEG_INCLUDE_DIRS} ${LIBMMS_INCLUDE_DIRS})
        ELSE(NOT LIBMMS_VERSION LESS LIBMMS_MIN_VERSION)
            MESSAGE("WARNING: found libmms " ${LIBMMS_VERSION} ", however, version >= " LIBMMS_MIN_VERSION " required")
            SET(LIBMMS_FOUND false)
        ENDIF(NOT LIBMMS_VERSION LESS LIBMMS_MIN_VERSION)
    ELSE(LIBMMS_FOUND)
        CHECK_INCLUDE_FILE("libmms/mmsx.h"       HAVE_MMSX_INC)
        CHECK_LIBRARY_EXISTS(mms mmsx_connect "" HAVE_MMSX_LIB)
        IF (HAVE_MMSX_INC AND HAVE_MMSX_LIB)
            SET(LIBMMS_FOUND ON)
            SET(FFMPEG_LIBRARIES "mms" ${FFMPEG_LIBRARIES})
        ENDIF(HAVE_MMSX_INC AND HAVE_MMSX_LIB)
    ENDIF(LIBMMS_FOUND)

    IF ( NOT LIBMMS_FOUND OR NOT LIBAVFORMAT_FOUND )
        SET(WITH_FFMPEG OFF
            CACHE BOOL "libffmpeg and/or libmms files could not be found on this system. Forcing this option to OFF"
            FORCE)
        MESSAGE("WARNING: libffmpeg and/or libmms files could not be found on this system. Compiling without Internet Radio Stations support")
    ENDIF( NOT LIBMMS_FOUND OR NOT LIBAVFORMAT_FOUND )

ENDIF(WITH_FFMPEG)


IF (WITH_FFMPEG)
    message(STATUS "   Compiling with Internet Radio Stations (libavformat/libffmpeg, libmms) support")
    message(STATUS "       FFMPEG_INCLUDE_DIRS = ${FFMPEG_INCLUDE_DIRS}")
    message(STATUS "       FFMPEG_LIBRARY_DIRS = ${FFMPEG_LIBRARY_DIRS}")
    message(STATUS "       FFMPEG_LIBRARIES    = ${FFMPEG_LIBRARIES}")

    IF(HAVE_AVFORMAT_OLD_INC)
        add_definitions( -DHAVE_FFMPEG_OLD )
    ELSE(HAVE_AVFORMAT_OLD_INC)
        add_definitions( -DHAVE_FFMPEG -D__STDC_CONSTANT_MACROS )
    ENDIF(HAVE_AVFORMAT_OLD_INC)

    add_definitions( -DHAVE_MMS )
ELSE(WITH_FFMPEG)
    message(STATUS "   Compiling without Internet Radio Stations (libffmpeg, libmms) support")
ENDIF(WITH_FFMPEG)

MACRO_LOG_FEATURE(LIBAVFORMAT_FOUND "FFMPEG support"          "Support for internet radio by libffmpeg" "http://ffmpeg.org")
MACRO_LOG_FEATURE(LIBMMS_FOUND      "MMS protocol support"    "Support internet radio protocol mms:// by libmms >= ${LIBMMS_MIN_VERSION}"  "https://launchpad.net/libmms")
MACRO_LOG_FEATURE(WITH_FFMPEG       "Internet radio support"  "Internet radio requires both libffmpeg and libmms" "")

###############################################################################



ADD_SUBDIRECTORY(radio)
IF(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    ADD_SUBDIRECTORY(v4lradio)
ENDIF(CMAKE_SYSTEM_NAME STREQUAL "Linux")
IF(WITH_ALSA)
    ADD_SUBDIRECTORY(alsa-sound)
ENDIF(WITH_ALSA)
ADD_SUBDIRECTORY(soundserver)
ADD_SUBDIRECTORY(gui-docking-menu)
ADD_SUBDIRECTORY(timecontrol)
ADD_SUBDIRECTORY(timeshifter)
ADD_SUBDIRECTORY(streaming)
ADD_SUBDIRECTORY(recording)
ADD_SUBDIRECTORY(gui-quickbar)
ADD_SUBDIRECTORY(gui-error-log)
IF(WITH_LIRC)
    ADD_SUBDIRECTORY(lirc)
ENDIF(WITH_LIRC)
ADD_SUBDIRECTORY(gui-standard-display)
ADD_SUBDIRECTORY(shortcuts)
IF(WITH_FFMPEG)
    ADD_SUBDIRECTORY(internetradio)
ENDIF(WITH_FFMPEG)
ADD_SUBDIRECTORY(dbus)

=== presets/CMakeLists.txt ===
ADD_SUBDIRECTORY(austria)
ADD_SUBDIRECTORY(switzerland)
ADD_SUBDIRECTORY(sweden)
ADD_SUBDIRECTORY(belgium)
ADD_SUBDIRECTORY(iceland)
ADD_SUBDIRECTORY(poland)
ADD_SUBDIRECTORY(ukraine)
ADD_SUBDIRECTORY(belarus)
ADD_SUBDIRECTORY(canada)
ADD_SUBDIRECTORY(greece)
ADD_SUBDIRECTORY(turkey)
ADD_SUBDIRECTORY(croatia)
ADD_SUBDIRECTORY(new-zealand)
ADD_SUBDIRECTORY(hungary)
ADD_SUBDIRECTORY(czechia)
ADD_SUBDIRECTORY(germany)
ADD_SUBDIRECTORY(australia)
ADD_SUBDIRECTORY(south-africa)
ADD_SUBDIRECTORY(france)
ADD_SUBDIRECTORY(argentina)
ADD_SUBDIRECTORY(luxembourg)
ADD_SUBDIRECTORY(finland)
ADD_SUBDIRECTORY(romania)
ADD_SUBDIRECTORY(lithuania)
ADD_SUBDIRECTORY(england)
ADD_SUBDIRECTORY(india)
ADD_SUBDIRECTORY(norway)
ADD_SUBDIRECTORY(ireland)
ADD_SUBDIRECTORY(brazil)
ADD_SUBDIRECTORY(catalonia)
ADD_SUBDIRECTORY(russia)
ADD_SUBDIRECTORY(portugal)
ADD_SUBDIRECTORY(germany-internet)
ADD_SUBDIRECTORY(usa)
ADD_SUBDIRECTORY(netherlands)
ADD_SUBDIRECTORY(spain)
ADD_SUBDIRECTORY(slovakia)
ADD_SUBDIRECTORY(italy)
ADD_SUBDIRECTORY(bulgaria)
ADD_SUBDIRECTORY(uruguay)

=== convert-presets/po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
        SET(catalogname ${PROJECT_NAME})
 
        ADD_CUSTOM_TARGET(translations ALL)
 
        FILE(GLOB PO_FILES *.po)
 
        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )
 
        ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== plugins/alsa-sound/CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_alsa_sound
     PROPERTIES
-    VERSION       4.0.1
+    VERSION       ${KRADIO_VERSION}
     SOVERSION     4
 )

=== plugins/dbus/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_dbus
     PROPERTIES
-    VERSION       4.0.1
+    VERSION       ${KRADIO_VERSION}
     SOVERSION     4
 )

=== plugins/gui-docking-menu/CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_gui_docking_menu
     PROPERTIES
-    VERSION       4.0.1
+    VERSION       ${KRADIO_VERSION}
     SOVERSION     4
 
 )

=== plugins/gui-error-log/CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_gui_error_log
     PROPERTIES
-    VERSION       4.0.1
+    VERSION       ${KRADIO_VERSION}
     SOVERSION     4
 
 )

=== plugins/gui-quickbar/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_gui_quickbar
     PROPERTIES
-    VERSION       4.0.1
+    VERSION       ${KRADIO_VERSION}
     SOVERSION     4
 
 )

=== plugins/gui-standard-display/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_gui_standard_display
     PROPERTIES
-    VERSION       4.0.1
+    VERSION       ${KRADIO_VERSION}
     SOVERSION     4
 )

=== plugins/internetradio/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 
-add_definitions( -DINET_RADIO_STREAM_HANDLING_BY_DECODER_THREAD )
+#add_definitions( -DINET_RADIO_STREAM_HANDLING_BY_DECODER_THREAD )
 
 
 #ADD_SUBDIRECTORY(icons)
@@ -49,7 +49,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_internetradio
     PROPERTIES
-    VERSION       4.0.1
+    VERSION       ${KRADIO_VERSION}
     SOVERSION     4
 )

=== debian/changelog ===
kradio4 (4.0.7-2build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 09 Nov 2013 22:02:54 +0000

kradio4 (4.0.7-2) unstable; urgency=low

  * Upload to unstable
  * Update debian/control - fix vcs-field-not-canonical
  * Update Standards-Version: 3.9.4 - no changes

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 09:34:04 +1000

kradio4 (4.0.7-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 02 Feb 2013 17:11:22 +1100

kradio4 (4.0.6-2) experimental; urgency=low

  * Added Build-Depends: libboost-dev - fixes FTBFS

 -- Mark Purcell <msp@debian.org>  Mon, 05 Nov 2012 10:57:15 +1100

kradio4 (4.0.6-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 08 Sep 2012 13:45:35 +1000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kradio4
 Section: sound
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake,
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake,
  kdelibs5-dev (>= 4:4.2.0), gettext, libsndfile1-dev, liblircclient-dev,
- libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libglib2.0-dev,
+ libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libglib2.0-dev, libboost-dev,
  libmp3lame-dev, libasound2-dev [linux-any]
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://kradio.sourceforge.net/
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kradio4/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kradio4/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kradio4/trunk/

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	dh_auto_install --buildsystem=kde --destdir=debian/kradio4
 	install -D -p -m0644 debian/kradio4.xpm \
 	    debian/kradio4/usr/share/pixmaps/kradio4.xpm
+	rm -f $(CURDIR)/debian/usr/sbin
 	# remove useless documentation shipped upstream
 	rm -f \
 	    $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/COPYING \
